import request from "@/utils/request";
//apk添加-编辑
export function apkAdd(data) {
  return request({
    url: "/api/v1/app/apk/add",
    method: "post",
    data,
  });
}
//apk删除
export function apkDeleted(id) {
  return request({
    url: `/api/v1/app/apk/deleted/${id}`,
    method: "post",
  });
}
//查询apk列表（分页）
export function apkpage(data) {
  return request({
    url: "/api/v1/app/apk/page",
    method: "post",
    data,
  });
}
//apk打包上传file
export function apkUpload(data) {
  return request({
    url: "/api/v1/app/apk/upload",
    method: "post",
    data,
  });
}
//添加任务
export function taskAdd(data) {
  return request({
    url: "/api/v1/app/task/add",
    method: "post",
    data,
  });
}
//取消任务
export function taskCancel(id) {
  return request({
    url: `/api/v1/app/task/cancel/${id}`,
    method: "post",
  });
}
//查询安装任务列表（分页）
export function taskPage(data) {
  return request({
    url: `/api/v1/app/task/page`,
    method: "post",
    data,
  });
}
//获取安装状态列表
export function taskStatus(data) {
  return request({
    url: `/api/v1/app/task/status/query`,
    method: "post",
    data,
  });
}
//查询apk列表
export function apkList(data) {
  return request({
    url: `/api/v1/app/apk/list`,
    method: "post",
    data,
  });
}
